Update the visibility of a report for the current user This must be a report you can see Which means you must have created the report or have ReportAdministrator Manage permission and the report is shared at all or have SharedReports View permission and the report is shared with you
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| specificReportId | Specific dashboard | integer (int32) | Required |
Request Body
ToggleVisible
| Property | Description | Type |
|---|---|---|
| visible | Required (defined) | boolean |
Example Request Body
{ "visible": false
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
SpecificReportResponse
| Property | Description | Type | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| baseReport | ReportChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| description | The report description | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| lastViewed | Last time this report was run | string (date-time) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| recommended | Indicates if this is a recommended report | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| relatedReports | List of reports related to this report | RelatedReportResponse[] | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
RelatedReportResponse properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| reportCategory | ReportCategoryChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportCategoryChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| shared | Indicates if this report is shared | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| specificReportCode | Report code | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| specificReportId | Unique identifier for the report | integer (int32) | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| specificReportInfo | Report name | string | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| subscription | ReportSubscriptionChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
ReportSubscriptionChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| user | UserChild | |||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
|
UserChild properties
|
||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
| visible | Indicates if this report is visible to the current user | boolean | ||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||||
Example Response
{ "baseReport": { "description": "string", "exportFormats": [
{ "exportFormatInfo": "string", "preferred": false
}
], "isLandscape": false, "lastUpdated": "2026-03-30", "reportCode": "string", "reportId": 1, "reportInfo": "string", "reportSource": "string", "reportType": { "reportTypeCode": "string", "reportTypeId": 1, "reportTypeInfo": "string"
}, "tags": [
{ "tagTypeId": 1, "tagTypeInfo": "string", "values": []
}
], "version": "string"
}, "description": "string", "lastViewed": "2026-03-30", "recommended": false, "relatedReports": [
{ "description": "string", "name": "string", "reportSource": "string", "specificReportId": 1
}
], "reportCategory": { "reportCategoryCode": "string", "reportCategoryId": 1, "reportCategoryInfo": "string"
}, "shared": false, "specificReportCode": "string", "specificReportId": 1, "specificReportInfo": "string", "subscription": { "dayIndicator": { "dayIndicatorInfo": "string", "dayIndicatorValue": 1
}, "emailMessage": "string", "emailRecipient": "string", "emailSubject": "string", "onlySendIfData": false, "reportFormat": "string", "reportSubscriptionId": 1, "scheduleType": { "reportSubscriptionScheduleTypeId": 1, "reportSubscriptionScheduleTypeName": "string"
}, "user": { "fullName": "string", "userCode": "string", "userId": 1
}
}, "user": { "fullName": "string", "userCode": "string", "userId": 1
}, "visible": false
}